Deserializes a data parameter into a BcMath\Number object

- « BcMath\Number::__toString

- GMP »

- PHP Manual
- BcMath\Number
- Deserializes a data parameter into a BcMath\Number object

# BcMath\Number::__unserialize

(PHP 8 >= 8.4.0)

BcMath\Number::__unserialize — Deserializes a data parameter into a BcMath\Number object

### Description

public BcMath\Number::__unserialize(array `$data`): void

Deserializes a data parameter into a BcMath\Number object.

### Parameters

`data`
  The serialized data parameter as an associative array

### Errors/Exceptions

This method throws a ValueError if invalid serialized data is passed.

### See Also

- BcMath\Number::__construct() - Creates a BcMath\Number object
- BcMath\Number::serialize()